package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.RoomEquipment;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 房间和设备关联Service接口
 * 
 * @author chen
 * @date 2024-02-25
 */
public interface IRoomEquipmentService extends IService<RoomEquipment> {
    /**
     * 查询房间和设备关联
     * 
     * @param id 房间和设备关联ID
     * @return 房间和设备关联
     */
    RoomEquipment selectRoomEquipmentById(Long id);

    /**
     * 查询房间和设备关联列表
     * 
     * @param roomEquipment 房间和设备关联
     * @return 房间和设备关联集合
     */
    List<RoomEquipment> selectRoomEquipmentList(RoomEquipment roomEquipment);

    /**
     * 新增房间和设备关联
     * 
     * @param roomEquipment 房间和设备关联
     * @return 结果
     */
    int insertRoomEquipment(RoomEquipment roomEquipment);

    /**
     * 修改房间和设备关联
     * 
     * @param roomEquipment 房间和设备关联
     * @return 结果
     */
    int updateRoomEquipment(RoomEquipment roomEquipment);

    /**
     * 批量删除房间和设备关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomEquipmentByIds(String ids);

    /**
     * 删除房间和设备关联信息
     * 
     * @param id 房间和设备关联ID
     * @return 结果
     */
    int deleteRoomEquipmentById(Long id);

    RoomEquipment selectByEquipmentId(Long id);

    RoomEquipment selectRoomId(Long roomId);

    RoomEquipment selectByEquipmentIdAndRoomId(RoomEquipment roomEquipment);

    List<RoomEquipment> selectByRoomId(Long id);

    List<RoomEquipment> selectListByRoomId(Long aLong);

    int deleteRoomEquipment(Long id);

}
